/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2008
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

[scriptable, uuid(a65c4183-3901-49e2-bdbb-53e38d0ed36b)]
interface flockIHousekeeping : nsISupports {
  void runHousekeeping();
};

[scriptable, uuid(7192c42b-0488-4359-8aa7-c3416c59ca84)]
interface flockIHousekeeper : nsISupports {
  void doHousekeeping();
};
